Loading...
Searching...
No Matches
gtsam::internal::VectorSpaceImpl< Class, N > Struct Template Reference

## Detailed Description

template<class Class, int N>
struct gtsam::internal::VectorSpaceImpl< Class, N >

VectorSpaceTraits Implementation for Fixed sizes.

## Manifold

typedef Eigen::Matrix< double, N, 1 > | TangentVector
typedef OptionalJacobian< N, N > | ChartJacobian
typedef Eigen::Matrix< double, N, N > | Jacobian
static int | GetDimension (const Class &)
static TangentVector | Local (const Class &origin, const Class &other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Class | Retract (const Class &origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)

## Static Public Member Functions

Lie Group
static TangentVector | Logmap (const Class &m, ChartJacobian Hm=boost::none)
static Class | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static Class | Compose (const Class &v1, const Class &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Class | Between (const Class &v1, const Class &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Class | Inverse (const Class &v, ChartJacobian H=boost::none)

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/base/VectorSpace.h